Package it.ernytech.tdlib

## Class TdApi.ChatMemberStatusAdministrator

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatMemberStatus
    - - it.ernytech.tdlib.TdApi.ChatMemberStatusAdministrator

Enclosing class:
  TdApi

    public static class TdApi.ChatMemberStatusAdministrator
    extends TdApi.ChatMemberStatus

The user is a member of a chat and has some additional privileges. In basic groups, administrators can edit and delete messages sent by others, add new members, and ban unprivileged members. In supergroups and channels, there are more detailed options for administrator privileges.

### Field Summary

Fields
`boolean` `canBeEdited` True, if the current user can edit the administrator privileges for the called user.
`boolean` `canChangeInfo` True, if the administrator can change the chat title, photo, and other settings.
`boolean` `canDeleteMessages` True, if the administrator can delete messages of other users.
`boolean` `canEditMessages` True, if the administrator can edit messages of other users and pin messages; applicable to channels only.
`boolean` `canInviteUsers` True, if the administrator can invite new users to the chat.
`boolean` `canPinMessages` True, if the administrator can pin messages; applicable to supergroups only.
`boolean` `canPostMessages` True, if the administrator can create channel posts; applicable to channels only.
`boolean` `canPromoteMembers` True, if the administrator can add new administrators with a subset of his own privileges or demote administrators that were directly or indirectly promoted by him.
`boolean` `canRestrictMembers` True, if the administrator can restrict, ban, or unban chat members.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`ChatMemberStatusAdministrator()` Default constructor.
`ChatMemberStatusAdministrator​(boolean canBeEdited, boolean canChangeInfo, boolean canPostMessages, boolean canEditMessages, boolean canDeleteMessages, boolean canInviteUsers, boolean canRestrictMembers, boolean canPinMessages, boolean canPromoteMembers)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### canBeEdited

    public boolean canBeEdited

True, if the current user can edit the administrator privileges for the called user.

#### canChangeInfo

    public boolean canChangeInfo

True, if the administrator can change the chat title, photo, and other settings.

#### canPostMessages

    public boolean canPostMessages

True, if the administrator can create channel posts; applicable to channels only.

#### canEditMessages

    public boolean canEditMessages

True, if the administrator can edit messages of other users and pin messages; applicable to channels only.

#### canDeleteMessages

    public boolean canDeleteMessages

True, if the administrator can delete messages of other users.

#### canInviteUsers

    public boolean canInviteUsers

True, if the administrator can invite new users to the chat.

#### canRestrictMembers

    public boolean canRestrictMembers

True, if the administrator can restrict, ban, or unban chat members.

#### canPinMessages

    public boolean canPinMessages

True, if the administrator can pin messages; applicable to supergroups only.

#### canPromoteMembers

    public boolean canPromoteMembers

True, if the administrator can add new administrators with a subset of his own privileges or demote administrators that were directly or indirectly promoted by him.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatMemberStatusAdministrator

    public ChatMemberStatusAdministrator()

Default constructor.

#### ChatMemberStatusAdministrator

    public ChatMemberStatusAdministrator​(boolean canBeEdited,
                                         boolean canChangeInfo,
                                         boolean canPostMessages,
                                         boolean canEditMessages,
                                         boolean canDeleteMessages,
                                         boolean canInviteUsers,
                                         boolean canRestrictMembers,
                                         boolean canPinMessages,
                                         boolean canPromoteMembers)

Constructor for initialization of all fields.

Parameters:
  `canBeEdited` - True, if the current user can edit the administrator privileges for the called user.
  `canChangeInfo` - True, if the administrator can change the chat title, photo, and other settings.
  `canPostMessages` - True, if the administrator can create channel posts; applicable to channels only.
  `canEditMessages` - True, if the administrator can edit messages of other users and pin messages; applicable to channels only.
  `canDeleteMessages` - True, if the administrator can delete messages of other users.
  `canInviteUsers` - True, if the administrator can invite new users to the chat.
  `canRestrictMembers` - True, if the administrator can restrict, ban, or unban chat members.
  `canPinMessages` - True, if the administrator can pin messages; applicable to supergroups only.
  `canPromoteMembers` - True, if the administrator can add new administrators with a subset of his own privileges or demote administrators that were directly or indirectly promoted by him.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR